<?php
	
	$job_seeker_resume_tp_theme_css = '';

	$job_seeker_resume_tp_color_option_first = get_theme_mod('job_seeker_resume_tp_color_option_first');

	// 1st color
	$job_seeker_resume_tp_color_option_first = get_theme_mod('job_seeker_resume_tp_color_option_first', '#FFB147');
	if ($job_seeker_resume_tp_color_option_first) {
		$job_seeker_resume_tp_theme_css .= ':root {';
		$job_seeker_resume_tp_theme_css .= '--color-primary1: ' . esc_attr($job_seeker_resume_tp_color_option_first) . ';';
		$job_seeker_resume_tp_theme_css .= '}';
	}

	$job_seeker_resume_tp_color_option_second = get_theme_mod('job_seeker_resume_tp_color_option_second');

	// 1st color
	$job_seeker_resume_tp_color_option_second = get_theme_mod('job_seeker_resume_tp_color_option_second', '#FF6C63');
	if ($job_seeker_resume_tp_color_option_second) {
		$job_seeker_resume_tp_theme_css .= ':root {';
		$job_seeker_resume_tp_theme_css .= '--color-primary2: ' . esc_attr($job_seeker_resume_tp_color_option_second) . ';';
		$job_seeker_resume_tp_theme_css .= '}';
	}

	// preloader
	$job_seeker_resume_tp_preloader_color1_option = get_theme_mod('job_seeker_resume_tp_preloader_color1_option');

	if($job_seeker_resume_tp_preloader_color1_option != false){
	$job_seeker_resume_tp_theme_css .='.center1{';
		$job_seeker_resume_tp_theme_css .='border-color: '.esc_attr($job_seeker_resume_tp_preloader_color1_option).' !important;';
	$job_seeker_resume_tp_theme_css .='}';
	}
	if($job_seeker_resume_tp_preloader_color1_option != false){
	$job_seeker_resume_tp_theme_css .='.center1 .ring::before{';
		$job_seeker_resume_tp_theme_css .='background: '.esc_attr($job_seeker_resume_tp_preloader_color1_option).' !important;';
	$job_seeker_resume_tp_theme_css .='}';
	}

	$job_seeker_resume_tp_preloader_color2_option = get_theme_mod('job_seeker_resume_tp_preloader_color2_option');

	if($job_seeker_resume_tp_preloader_color2_option != false){
	$job_seeker_resume_tp_theme_css .='.center2{';
		$job_seeker_resume_tp_theme_css .='border-color: '.esc_attr($job_seeker_resume_tp_preloader_color2_option).' !important;';
	$job_seeker_resume_tp_theme_css .='}';
	}
	if($job_seeker_resume_tp_preloader_color2_option != false){
	$job_seeker_resume_tp_theme_css .='.center2 .ring::before{';
		$job_seeker_resume_tp_theme_css .='background: '.esc_attr($job_seeker_resume_tp_preloader_color2_option).' !important;';
	$job_seeker_resume_tp_theme_css .='}';
	}

	$job_seeker_resume_tp_preloader_bg_color_option = get_theme_mod('job_seeker_resume_tp_preloader_bg_color_option');

	if($job_seeker_resume_tp_preloader_bg_color_option != false){
	$job_seeker_resume_tp_theme_css .='.loader{';
		$job_seeker_resume_tp_theme_css .='background: '.esc_attr($job_seeker_resume_tp_preloader_bg_color_option).';';
	$job_seeker_resume_tp_theme_css .='}';
	}

	$job_seeker_resume_tp_footer_bg_color_option = get_theme_mod('job_seeker_resume_tp_footer_bg_color_option');


	if($job_seeker_resume_tp_footer_bg_color_option != false){
	$job_seeker_resume_tp_theme_css .='#footer{';
		$job_seeker_resume_tp_theme_css .='background: '.esc_attr($job_seeker_resume_tp_footer_bg_color_option).';';
	$job_seeker_resume_tp_theme_css .='}';
	}

	// logo tagline color
	$job_seeker_resume_site_tagline_color = get_theme_mod('job_seeker_resume_site_tagline_color');

	if($job_seeker_resume_site_tagline_color != false){
	$job_seeker_resume_tp_theme_css .='.logo h1 a, .logo p a, .logo p.site-title a{';
	$job_seeker_resume_tp_theme_css .='color: '.esc_attr($job_seeker_resume_site_tagline_color).';';
	$job_seeker_resume_tp_theme_css .='}';
	}

	$job_seeker_resume_logo_tagline_color = get_theme_mod('job_seeker_resume_logo_tagline_color');
	if($job_seeker_resume_logo_tagline_color != false){
	$job_seeker_resume_tp_theme_css .='p.site-description{';
	$job_seeker_resume_tp_theme_css .='color: '.esc_attr($job_seeker_resume_logo_tagline_color).';';
	$job_seeker_resume_tp_theme_css .='}';
	}

	// footer widget title color
	$job_seeker_resume_footer_widget_title_color = get_theme_mod('job_seeker_resume_footer_widget_title_color');
	if($job_seeker_resume_footer_widget_title_color != false){
	$job_seeker_resume_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
	$job_seeker_resume_tp_theme_css .='color: '.esc_attr($job_seeker_resume_footer_widget_title_color).';';
	$job_seeker_resume_tp_theme_css .='}';
	}

	// copyright text color
	$job_seeker_resume_footer_copyright_text_color = get_theme_mod('job_seeker_resume_footer_copyright_text_color');
	if($job_seeker_resume_footer_copyright_text_color != false){
	$job_seeker_resume_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
	$job_seeker_resume_tp_theme_css .='color: '.esc_attr($job_seeker_resume_footer_copyright_text_color).'!important;';
	$job_seeker_resume_tp_theme_css .='}';
	}

// header image title color
$job_seeker_resume_header_image_title_text_color = get_theme_mod('job_seeker_resume_header_image_title_text_color');
if($job_seeker_resume_header_image_title_text_color != false){
$job_seeker_resume_tp_theme_css .='.box-text h2{';
$job_seeker_resume_tp_theme_css .='color: '.esc_attr($job_seeker_resume_header_image_title_text_color).';';
$job_seeker_resume_tp_theme_css .='}';
}

// menu color
$job_seeker_resume_menu_color = get_theme_mod('job_seeker_resume_menu_color');
if($job_seeker_resume_menu_color != false){
$job_seeker_resume_tp_theme_css .='.main-navigation a{';
$job_seeker_resume_tp_theme_css .='color: '.esc_attr($job_seeker_resume_menu_color).';';
$job_seeker_resume_tp_theme_css .='}';
}


//Footer Font Weight
$job_seeker_resume_footer_copyright_title_font_weight = get_theme_mod( 'job_seeker_resume_footer_copyright_title_font_weight','');
if($job_seeker_resume_footer_copyright_title_font_weight == '100'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 100;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '200'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 200;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '300'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 300;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '400'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 400;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '500'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 500;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '600'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 600;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '700'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 700;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '800'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 800;';
$job_seeker_resume_tp_theme_css .='}';
}else if($job_seeker_resume_footer_copyright_title_font_weight == '900'){
$job_seeker_resume_tp_theme_css .='#footer .site-info p {';
    $job_seeker_resume_tp_theme_css .='font-weight: 900;';
$job_seeker_resume_tp_theme_css .='}';
}